package com.ssj.service.conch.teacher.request.teacherorg;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * @author yrf
 * @date 2019/3/18 17:42
 */
public class HomeworkListReq extends BaseRequest {

    private static final long serialVersionUID = -2850232502235668647L;

    @ApiModelProperty(name = "type", value = "批改类型：0未完成，1已完成", required = true)
    @NotNull
    @Min(0)
    @Max(1)
    private Integer type;

    @ApiModelProperty(name = "pageNo", value = "当前页数")
    private Integer pageNo = 1;

    @ApiModelProperty(name = "pageSize", value = "每页记录数")
    private Integer pageSize = 10;

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }
}
